<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.PrintMutexSystemStats Method (Boolean, Boolean)
DatabaseEnvironment Class See Also Send Feedback

Display the mutex subsystem statistical information, as described by MutexStats.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public void PrintMutexSystemStats(
    	bool PrintAll,
    	bool ClearStats
    )

Visual Basic (Declaration)

    Public Sub PrintMutexSystemStats ( _
    	PrintAll As Boolean, _
    	ClearStats As Boolean _
    )

Visual C++

    public:
    void PrintMutexSystemStats(
    	bool PrintAll,
    	bool ClearStats
    )

#### Parameters

PrintAll
  Type: System..::.Boolean
  If true, display all available information.

ClearStats
  Type: System..::.Boolean
  If true, reset statistics after displaying their values.

# See Also

DatabaseEnvironment Class
PrintMutexSystemStats Overload
BerkeleyDB Namespace